Get notification attempts
Get notification attempts by notification id
GET
/
webhooks
/
{webhookId}
/
notifications
/
{notificationId}
/
attempts
TypeScript
const response: Promise<FireblocksResponse<NotificationAttemptsPaginatedResponse>> = fireblocks.webhooksV2.getNotificationAttempts(webhooksV2ApiGetNotificationAttemptsRequest);CompletableFuture<ApiResponse<NotificationAttemptsPaginatedResponse>> response = fireblocks.webhooksV2().getNotificationAttempts(webhookId, notificationId, pageCursor, pageSize);response = fireblocks.webhooks_v2.get_notification_attempts(webhook_id, notification_id, page_cursor, page_size);curl --request GET \
--url https://api.fireblocks.io/v1/webhooks/{webhookId}/notifications/{notificationId}/attemptsconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/webhooks/{webhookId}/notifications/{notificationId}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"sentTime": 1625126400000,
"duration": 130,
"responseCode": 200,
"failureReason": "TIMED_OUT"
}
],
"next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}{
"message": "<string>",
"code": 123
}Path Parameters
The ID of the webhook to fetch
The ID of the notification to fetch
Query Parameters
Cursor of the required page
Maximum number of items in the page
Required range:
1 <= x <= 100Example:
10
Was this page helpful?
Previous
Resend notification by idResend notification by ID
Endpoint Permission: Owner, Admin, Non-Signing Admin, Editor, Signer.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<NotificationAttemptsPaginatedResponse>> = fireblocks.webhooksV2.getNotificationAttempts(webhooksV2ApiGetNotificationAttemptsRequest);CompletableFuture<ApiResponse<NotificationAttemptsPaginatedResponse>> response = fireblocks.webhooksV2().getNotificationAttempts(webhookId, notificationId, pageCursor, pageSize);response = fireblocks.webhooks_v2.get_notification_attempts(webhook_id, notification_id, page_cursor, page_size);